<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head>


  <meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
  <title>Cidero - UPnP Control Point and UPnP Bridge Software</title>
  <link rel="stylesheet" type="text/css" href="index-Dateien/test.css">
</head><body>

<!-- Under construction image at top left -->
<div id="construction" title="construction">
<!--<img src="undercon.gif"/> -->
</div>

<!-- Banner image at top left -->
<div id="banner" title="banner">
<img src="index-Dateien/cideroWebBanner.gif" alt="Banner" align="left">
</div>

<!-- Separator -->
<div id="sep" title="Sep">
<hr style="width: 1000px; height: 4px;">
</div>


<!-- Navigation bar on left -->
<div id="pageNav">

<a href="http://www.cidero.com/downloads.html">Downloads</a>
<a href="http://www.cidero.com/forums/index.php">Forums</a>
<a href="http://www.cidero.com/links.html">Links</a>
<a href="http://www.cidero.com/contacts.html">Contacts</a>

</div>

<!-- Page content on right -->
<div id="pageContent">

<h2>Introduction</h2>

<p class="normalStyle">
Welcome to Cidero! Here you will find a variety of software
applications and utilities, focused on UPnP-based media distribution
and control in the networked home environment. All applications are
freely available, and full source code is included for the benefit of
developers who wish to make their own enhancements. Feel free to
download the current versions of the applications described below and
try them out. User feedback via the provided forums is always welcome!
</p>

<h3>Media Controller</h3>

<p class="normalStyle">A growing number of UPnP A/V-compatible
MediaServer and MediaRenderer devices are becoming available for the
networked home. To date, control of these devices is most commonly
accomplished via a UPnP control point embedded within a MediaRenderer
device and driven by an infrared remote. In some situations, such as
browsing large media collections, the infrared remote control-based UI
can be inconvenient, and when a PC is available, a PC-based remote
control capability can be preferable. The Cidero UPnP Media Controller
is a Java-based, cross-platform solution that addresses this need,
providing support for browsing and playback of digital music, photos
and movies.<br>
<br>
A screenshot of the basic controller user interface is shown below. A
browser window allows users to browse content on media servers, and
renderer control windows allow control of one or more renderer devices.
Click <a href="http://www.cidero.com/mediaController.html">here</a> for more details.<br>
<br>
<img src="index-Dateien/ControllerSimple.gif" alt="Media Controller Main Window" hspace="10" vspace="10"><br>
<br>
<img src="index-Dateien/ControllerRendererWindow.gif" alt="Media Controller Renderer Window" hspace="10" vspace="10"><br>
<br>

</p>


<h3>Internet Radio Server</h3>

<p class="normalStyle">
Internet radio stations commonly support a number of broadcast formats
(Shoutcast, streaming Windows Media, etc...), as well as a number of
different bitrates for each format. In order to implement load sharing
for stations with a large listener base, each individual format/bitrate
stream combination may also utilize multiple internet <i>host:port</i>
addresses, typically represented using a playlist in M3U or PLS format.
In addition to all the stream-related information, there is the
metadata for the station itself, which includes the station name, call
sign (if applicable), genre, geographic location, language, and other
descriptive information.<br>
<br>
Many UPnP media servers do not provide a mechanism for managing all the
information for a single station in a coherent way. A fair amount of
organizational effort can be required to set up and use net radio
stations, especially if a user wishes to use different format/bitrate
combinations in different situations. The UPnP framework itself
actually provides good support for managing radio station metadata. All
the information for a single station can be conveniently represented
using the standard UPnP XML respresentation of an <i>AudioBroadcastItem</i>
metadata object. The Cidero radio server uses a set of files formatted
to this XML standard for its station database. Since the metadata
already conforms to the UPnP standard, the server can respond to UPnP
browse requests by simply transferring a copy of the XML object read
from disk at server startup to the requesting device (well, more or
less!).<br>
<br>
A second design goal of the radio server is to provide a proxy/relay
capability to allow multiple devices inside the home to listen to the
same stream while maintaining only a single connection to the radio
station server. This saves bandwidth for both the user and the Internet
broadcaster. The proxy server implementation used by the server is also
capable of supporting synchronized playback among multiple devices of
the same type (though this feature is still a work in progress).<br>
<br>
Click <a href="http://www.cidero.com/radioServer.html">here</a> for more details on the radio station server.<br>
<br>

</p><h3>UPnP Bridge</h3>
The UPnP bridge software allows non-UPnP devices, to be used in a UPnP
network, and extends the UPnP capabilities of others. Support for
bridging of the Prismiq Media Player is currently implemented, with
support for things like IR-controllable devices planned for the future.
Click <a href="http://www.cidero.com/rendererBridge.html">here</a> for more details.<br>

<p></p>

</div>

</body></html>